
/*MOBILE VIEW STYLES*/ 
@media (max-width: 768px) {
    #content-container {
      padding: 1rem;
    }
  
    .text-content p,
    .text-content ul{
        font-size: 1.1rem;
        line-height: 1.6;
        text-align: inherit;
    }

    .Headings{
        font-size: 1.6rem;
        line-height: 1.6;
        text-align: center;
      
    }
    .subheading{
        font-size: 1.3rem;
        line-height: 1.2;
        text-align: center;

    }
    header.hero h1,
    header.hero h3{
      font-size: 1.2rem;
    }
  
    header.hero {
      padding: 2rem 1rem;
      text-align: center;
    }
    /*Kofi link png style*/
    #kofilink{
    width: 50px;
    height: auto;
    }
    
}
  
/* handles the smooth scrolling*/
html , body{
    scroll-behavior: smooth;
    scroll-padding-top: 80px;
    margin: 0;
    padding: 0;
    background-color: #101010;
}


/*Stick nav box Animation*/
.sticky-nav {
    position: sticky;
    top: 0;
    background: #161616;
    padding: 10px 0;
    width: 100%;
    z-index: 1000;
}


/*nav box style*/
.nav_box {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 20px;
}
.nav_box li {
    display: inline;
}


/*Nav Link Style*/
.nav_box a {
    color: #CCCCCC;
    text-decoration: none;
    padding: 10px 15px;
    transition: color 0.3s ease, background 0.3s ease;
}

.navbar-brand{
    max-width: 40px;
    width: 40px;
    height: auto;
}
/*Nav Hover Animation*/
.nav_box a:hover {
    color: #7f56d9;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
}


/*Hero section Style*/
.hero {
    height: 100vh; /* Full-screen height */
    background: url('../assets/images/hero_image.png') center/cover no-repeat;
}


/* Scoll animation style*/
.animate-on-scroll{
    opacity: 0;
    transform: translate(30px);
    transition: all 0.6s ease-out;
}
.animate-on-scroll.visible{
    opacity: 1;
    transform: translateY(0);
}
.animate-on-scroll.fade-out{
    opacity: 0;
    transform: translateY(20px);
}




/*Page Background Color*/
#back{
    background-color: #101010;
}



/*Content Block Style*/
.content-container{
    display: flex;
    flex-direction: column;
    
    border: 3px solid #2D2D2D;
    border-radius: 6px;
    box-shadow: 0 4px 12px #7f56d9;
    padding: 3%;
    margin: 6%;
    background-color: #161616;
    
}





/* Text content styles (headings subheading text)*/
.Headings{
    padding-top: 3%;
    font-size: 3rem;
    color: #CCCCCC;
    text-align: center;
    text-underline-position: below;
    text-decoration: underline;
    text-decoration-color:#2D2D2D ;
    padding-bottom: 3%;

}
.subheading{
    font-size: 2rem;
    color: #CCCCCC;
    text-align: inherit;
    padding-left:7%;
    padding-top: 4%;
}
.text-content{
    color: #CCCCCC;
    word-spacing:3px;
    text-align:inherit;
    font-size: 1.3rem;
    padding-left: 7%;
    padding-right: 7%;
       
}

.card{
    background-color:#2D2D2D;
    color: #CCCCCC;
}
/* footer style*/
#footer{
    background-color: #161616;
    color: #1f1f1f;
    word-spacing:3px;
    text-align:left;
    font-size: large;
    padding: 2%;
}


/* Link color scheme*/
a {
    color: #3E7CFF;
    text-decoration: none;
    transition: color 0.2s ease-in-out;
}

/*lighter hover effect */
a:hover {
    color: #6DA8FF; 
    text-decoration: underline;
}


/*TO The Top Button*/
#toTopButton{
    color: #3E7CFF;
    padding-left: 10%;
    bottom: 20px;
    right: 20px;
}

/*Kofi link png style*/
#kofilink{
    width: 250px;
    height: auto;
    
}